> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/provisioning/api-reference/application_memberships/object.md).

# The application membership object

An application membership object is returned as part of the response body of each successful create, list, retrieve or update API call to the `/api/application_memberships` endpoint.

## Fields

| Field                                  | Type       | Description                                                                                                                                                                                         |
| -------------------------------------- | ---------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **`type`**                             | `string`   | `application_memberships`                                                                                                                                                                           |
| **`id`**                               | `string`   | The application membership unique identifier.                                                                                                                                                       |
| links.**`self`**                       | `string`   | The application membership endpoint URL.                                                                                                                                                            |
| attributes.**`filters`**               | `object`   | Set of key-value pairs that contains restrictions and scopes of the application membership.                                                                                                         |
| attributes.**`created_at`**            | `datetime` | Time at which the resource was created.                                                                                                                                                             |
| attributes.**`updated_at`**            | `datetime` | Time at which the resource was last updated.                                                                                                                                                        |
| attributes.**`reference`**             | `string`   | A string that you can use to add any external identifier to the resource. This can be useful for integrating the resource to an external system, like an ERP, a marketing tool, a CRM, or whatever. |
| attributes.**`reference_origin`**      | `string`   | Any identifier of the third party system that defines the reference code.                                                                                                                           |
| attributes.**`metadata`**              | `object`   | Set of key-value pairs that you can attach to the resource. This can be useful for storing additional information about the resource in a structured format.                                        |
| relationships.**`api_credential`**     | `object`   | The API credential associated to the application membership.                                                                                                                                        |
| relationships.**`membership`**         | `object`   | The membership associated to the application membership.                                                                                                                                            |
| relationships.**`membership_profile`** | `object`   | The membership profile associated to the application membership.                                                                                                                                    |
| relationships.**`organization`**       | `object`   | The organization associated to the membership.                                                                                                                                                      |
| relationships.**`role`**               | `object`   | The role associated to the application membership.                                                                                                                                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.commercelayer.io/provisioning/api-reference/application_memberships/object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
